package request

type TaobaoFenxiaoOrderRemarkUpdateRequest struct {
	/*
	   采购单编号     */
	PurchaseOrderId *int64 `json:"purchase_order_id" required:"true" `
	/*
	   备注内容(供应商操作)     */
	SupplierMemo *string `json:"supplier_memo" required:"true" `
	/*
		        旗子的标记，1-5之间的数字。非1-5之间，都采用1作为默认。
		1:红色
		2:黄色
		3:绿色
		4:蓝色
		5:粉红色     */
	SupplierMemoFlag *int64 `json:"supplier_memo_flag,omitempty" required:"false" `
}

func (s *TaobaoFenxiaoOrderRemarkUpdateRequest) SetPurchaseOrderId(v int64) *TaobaoFenxiaoOrderRemarkUpdateRequest {
	s.PurchaseOrderId = &v
	return s
}
func (s *TaobaoFenxiaoOrderRemarkUpdateRequest) SetSupplierMemo(v string) *TaobaoFenxiaoOrderRemarkUpdateRequest {
	s.SupplierMemo = &v
	return s
}
func (s *TaobaoFenxiaoOrderRemarkUpdateRequest) SetSupplierMemoFlag(v int64) *TaobaoFenxiaoOrderRemarkUpdateRequest {
	s.SupplierMemoFlag = &v
	return s
}

func (req *TaobaoFenxiaoOrderRemarkUpdateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.PurchaseOrderId != nil {
		paramMap["purchase_order_id"] = *req.PurchaseOrderId
	}
	if req.SupplierMemo != nil {
		paramMap["supplier_memo"] = *req.SupplierMemo
	}
	if req.SupplierMemoFlag != nil {
		paramMap["supplier_memo_flag"] = *req.SupplierMemoFlag
	}
	return paramMap
}

func (req *TaobaoFenxiaoOrderRemarkUpdateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
